# $chan.getflag

Returns the channel-user mode flag of an user

Syntax

    $chan.getflag(<nickname>[,<window_id>])

Description

Returns the channel user mode flag of an user on the channel specified by <window_id>.
If <window_id> is not passed, the current window is used.
If the specified window is not a channel, a warning is printed and an empty string is returned.
If the specified user is not on the channel identified by <window_id>, and empty string is returned.
The possible user flags are:
'!' for channel administrators
'@' for ops
'%' for halfops
'+' for voiced users
'-' for userops
If the user has more than one flag then the highest one is returned.

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Thu Mar 9 08:43:54 2006